<div  style="margin-top: 50px;margin-left: 250px;margin-bottom: 20px;">
<div *ngIf="!isVisitor">
<div style="display: inline-block;padding-right: 10px;">
<ng-credit-card [name]="paymentCard.name" [number]="paymentCard.cardNumber" [cvc]="paymentCard.cvc" [expiry]="paymentCard.expiry"></ng-credit-card>
</div>
<div style="padding-left: 10px;">

<form style="margin-top: 10px;" autocomplete="on" [formGroup]='CardForm' (ngSubmit)="CardForm.valid && SavePaymentInfos()" *ngIf="isEdit" >
    <app-text-input 
    [formControl]='CardForm.controls["number"]' 
    style="width: 200px;margin-bottom: 10px;"
    [label]="'card number'"
    [name]="'number'" maxlength="16"
    (keyup)="handleInputChange($event)"
  ></app-text-input>
    <app-text-input  
    [formControl]='CardForm.controls["name"]' 
    style="width: 200px;margin-bottom: 10px;"
    [name]="'name'"
    [label]="'EX: JHON SMITH'"
    (keyup)="handleInputChange($event)"
  >
</app-text-input>
<app-text-input 
[formControl]='CardForm.controls["expiry"]' 
style="width: 100px;"
[name]="'expiry'"
[label]="'EX: 08/25'"
maxlength="4"
(keyup)="handleInputChange($event)"
></app-text-input>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<app-text-input  
[formControl]='CardForm.controls["cvc"]' maxlength="3"
style="width: 60px;"
[name]="'cvc'"
[label]="'335'"
(keyup)="handleInputChange($event)"
></app-text-input>

<div class="row" *ngIf="validationErrors.length > 0">
  <ul class="text-danger">
      <li *ngFor="let error of validationErrors">
          {{error}}
      </li>
  </ul>
</div>
<div class="form-group text-center">
  <button *ngIf="isEdit" [disabled]='!CardForm.valid' class="btn btn-success mr-2" type="submit">Save</button>
  <button class="btn btn-default mr-2" (click)="Cancel()" type="button">Cancel</button>
</div>
  </form>
  <hr>
  <button #EditOrAddButton id="EditOrAddButton" *ngIf="!isEdit" class="btn btn-success mr-2" (click)="Edit()" type="button">Edit</button>

</div>
</div>
<div *ngIf="isVisitor" >
<button *ngIf="!user.paymentInformationsCompleted" class="btn btn-success mr-2 bi bi-stripe" (click)="RedirectToPaymentConfiguration()" type="button">
  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-stripe" viewBox="0 0 16 16">
    <path d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2Zm6.226 5.385c-.584 0-.937.164-.937.593 0 .468.607.674 1.36.93 1.228.415 2.844.963 2.851 2.993C11.5 11.868 9.924 13 7.63 13a7.662 7.662 0 0 1-3.009-.626V9.758c.926.506 2.095.88 3.01.88.617 0 1.058-.165 1.058-.671 0-.518-.658-.755-1.453-1.041C6.026 8.49 4.5 7.94 4.5 6.11 4.5 4.165 5.988 3 8.226 3a7.29 7.29 0 0 1 2.734.505v2.583c-.838-.45-1.896-.703-2.734-.703Z"></path>
  </svg> : Enroll in stripe to complete your profil   </button>
<h2 *ngIf="user.paymentInformationsCompleted">Thank you,You have enrolled successefuly !</h2>
</div>
</div>

